<div
  class='input-page-link input-page-link-minimal'
  {{did-insert this.setup}}
  ...attributes
>
  <div class='input-group'>
    <div class='input-group-text'>
      <Input
        class='form-check-input chk-external-link'
        @type='checkbox'
        @checked={{this.hasExternalLink}}
        id='page-link-chk-{{this.elementId}}'
      />
      <label
        class='form-check-label d-none'
        for='page-link-chk-{{this.elementId}}'
      >
        {{t 'external link'}}
      </label>
    </div>

    {{#if this.hasExternalLink}}
      <Input
        @value={{this.textValue}}
        class='form-control text-link'
        id='page-link-{{this.elementId}}'
        placeholder={{t 'link'}}
      />
    {{else}}
      <Input::Select
        @value={{this.value}}
        @list={{this.pages}}
        @onChange={{this.change}}
        id='page-link-{{this.elementId}}'
        class='form-control select-link'
      />
    {{/if}}
  </div>
</div>